package CDMOntology;

import java.util.Date;
import jade.content.Concept;

/** Describes the arrival leg */
public class Inbound extends Object implements Concept {

    /** Aerodrome of departure */
    String ADEP;

    Date landingTime;

    Date scheduledLandingTime;

    String arrivalStand;

    /** Constructor with no parameters */
    public Inbound () {
    }

    /** Constructs a new inbound component */
    public Inbound (String adep, Date lTime, Date slTime, String stand) {
        ADEP = new String (adep);
        landingTime = lTime;
        scheduledLandingTime = slTime;
        arrivalStand = new String(stand);
    }

    /** Return the aerodrome of departure */
    public String getAdep() {
        return ADEP;
    }

    /** Return the landing time */
    public Date getLandingTime() {
        return landingTime;
    }

    /** Return the scheduled landing time */
    public Date getScheduledLandingTime() {
        return scheduledLandingTime;
    }

    /** Return the arrival stand */
    public String getArrivalStand() {
        return arrivalStand;
    }

    /** Set the aerodrome of departure */
    public void setAdep(String adep) {
        ADEP = new String(adep);
    }

    /** Set the landing time */
    public void setLandingTime(Date ltime) {
        landingTime = ltime;
    }

    /** Set the scheduled landing time */
    public void setScheduledLandingTime(Date ltime) {
        scheduledLandingTime = ltime;
    }

    /** Set the arrival stand */
    public void setArrivalStand(String stand) {
        arrivalStand = new String(stand);
    }
}
